Subject: Re: [icnrg] icnrg Digest, Vol 6, Issue 13

From: Ngoc Thanh Dinh <[email-masked]>
Date: Sat, 15 Sep 2012 11:44:09 +0900

It is interesting to discuss about ICN and DTN.
I want to bring the multicast and broadcast perspective of ICN and DTN.
Considering a scenario of the direct vehicle-to-vehicle and
vehicle-to-roadside exchanging constraint information (sensory information)
(no infrastructure assumption), the common communication is broadcast
because the vehicle normally does not know who has its desired information.
Therefore, bringing information into the network layer to support the
information authentication, naming matching, automatic searching (matching
name of interest and name of data caching in router), ...seems very
important functions which ICN could support while DTN may be limited.
In my previous paper (not published yet), I propose push-based function of
ICN which i think ICN supports well. This function should be useful in case
of broadcast, event notification, or even one-way information
communication,...
In multicast case, I think ICN could also bring a considerable benefit
based on naming information object. In particular, an interested
information may reach to multiple producer/container of information, and a
Data message could be reached to multiple interested consumer (which have
or have not sent an Interest message)...
How about your opinion in the broadcast and multicast case of ICN and DTN?

2012/9/15 <[email-masked]>

> If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>
> https://www.irtf.org/mailman/listinfo/icnrg
>
> Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>
>
>
> Send icnrg mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.irtf.org/mailman/listinfo/icnrg
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of icnrg digest..."
>
> Today's Topics:
>
>    1. Re: Benefit of information centric network (ICN) compared to
>       DTN in wireless communication (Dirk Kutscher)
>
>
> ---------- Thư được chuyển tiếp ----------
> From: Dirk Kutscher <[email-masked]>
> To: "Fall, Kevin" <[email-masked]>, Christian Esteve Rothenberg <
> [email-masked]>, "Ivancic, William D. (GRC-RHN0)" <
> [email-masked]>
> Cc: Ngoc Thanh Dinh <[email-masked]>, Dirk Trossen <
> [email-masked]>, "[email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>
> Date: Fri, 14 Sep 2012 16:22:12 +0000
> Subject: Re: [icnrg] Benefit of information centric network (ICN) compared
> to DTN in wireless communication
>
> Yes, that was a good discussion, and this presentation captures the
> outcome quite nicely.****
>
> ** **
>
> I believe the key thing is really the different service model and network
> primitives (push vs. pull) – that were certainly prominent in the initial
> designs. It’s true that you can add the missing semantics to the respective
> approaches.****
>
> ** **
>
> Many other aspects (object granularity), dealing with disruptions,
> time-scales, state-keeping requirements seem to be based on conventions –
> you could build the systems in different ways.****
>
> ** **
>
> We discussed whether todays ICN would survive powering off and on again
> the whole network (the assumption is that many DTNs would). I am now less
> convinced that this necessarily has to be pathological for ICNs. In an ICN
> that is on the same scale as most DTN deployments (i.e., not talking about
> global scale), there would not be a need for large name-resolution
> databases etc.  Name-based routing in a local domain could re-build state
> at routers and request for named data objects can be re-sent by the
> requestors.****
>
> ** **
>
> Best regards,****
>
> Dirk****
>
> ** **
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *Fall, Kevin
> *Sent:* Freitag, 14. September 2012 17:07
> *To:* Christian Esteve Rothenberg; Ivancic, William D. (GRC-RHN0)
> *Cc:* Ngoc Thanh Dinh; Dirk Trossen; [email-masked]; [email-masked]
> *Subject:* Re: [icnrg] Benefit of information centric network (ICN)
> compared to DTN in wireless communication****
>
> ** **
>
> Here's a copy of the (very brief) presentation.****
>
> Note that although I presented this material, this was a group effort.****
>
> ** **
>
> One caution when thinking about the DTN and ICN architectures— please
> think of DTN in terms of 4838 or the architectural papers from SIGCOMM or
> JSAC.  The current implementation doesn't do all the things originally
> envisioned for the architectural approach.****
>
> Indeed, extended naming was envisioned early on.  However, it (along with
> multicast) hasn't received much work or refinement within the DTN community
> IMHO.****
>
> ** **
>
> I think the ICN-related ideas are helping to clarify the thinking (for me
> at least) on what DTN multicast should be capable of.****
>
> I should probably add that the table wasn't without discussion (in
> particular, Lixia made a few comments from the NDN perspective).  ****
>
> Regards,****
>
>    - Kevin****
>
>  ** **
>
> ** **
>
> *From: *Christian Esteve Rothenberg <[email-masked]>
> *Date: *Friday, September 14, 2012 6:25 AM PDT
> *To: *"Ivancic, William D. (GRC-RHN0)" <[email-masked]>
> *Cc: *Ngoc Thanh Dinh <[email-masked]>, Dirk Trossen <
> [email-masked]>, "[email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>
> *Subject: *Re: [icnrg] Benefit of information centric network (ICN)
> compared to DTN in wireless communication****
>
> ** **
>
> DTN vs ICN was a specific topic discussed last week during the Dagstuhl
> seminar and the group´s discussion was eloquently summarized by Kevin Fall
> in a small presentation that included table contrasting key similarities
> and differences. Unfortunately the material does not seem to be online
> (yet). We may try to ask Kevin to share the material:
> http://www.dagstuhl.de/mat/index.en.phtml?12361
>
> -Christian
>  ****
>
> On Fri, Sep 14, 2012 at 3:02 PM, Ivancic, William D. (GRC-RHN0) <
> [email-masked]> wrote:****
>
> DTN, as is, only temporarily caches a bundle until it passes it on (in
> general, but is implementation  and routing specific).  DTN, as is, does
> not know what is inside the bundle (although, one could come up with
> something special to enable this).   ICN ensures that the information is
> cached at the appropriate places and is available for ICN users to obtain.
> DTN could be used to get the information to the ICN cache (complementary).
>  But, for DTN to be used as ICN, you have to basically design ICN into DTN.
> DTN, as is, is complicated enough.   ****
>
> ** **
>
> - Will****
>
> ** **
>
> On Sep 14, 2012, at 8:52 AM, Ngoc Thanh Dinh wrote:****
>
>
>
> ****
>
> Yes. DTN could be a scenario which could be covered in ICN.
> I am analyzing on the case of exchanging information among vehicles in the
> ad-hoc vehicular network scenarios without infrastructure.
> in case of long delay or disruption (main purpose of DTN), i think the
> same performance could be implement based on information object and caching
> of ICN.
> but in the high density and high mobility case of vehicle, do you think
> DTN will achieve a lower performance? (e.g. higher delay)
>
> I want to listen your discussion about the points that
>
> class 1: for information service which delayed or lost information does
> not compromise safety or render the application useless (e.g. weather
> reports,...) --> DTN capabilities can improve the quality in this case by
> increasing the message delivery and reducing delays in challenging
> scenarios.
> And with ICN, we could also achieve this improvement, even more, based on
> naming object, not destination host.
>
> class 2: for delayed information may compromise safety, application may
> require realtime communication --> DTN may not improve the quality of this
> case.
> But ICN may make an improvement? (based on information object caching)
>
> Listen to your discussion and thank you very much!!!
>
>
>
> ****
>
> 2012/9/14 Ivancic, William D. (GRC-RHN0) <[email-masked]>****
>
> DTN and ICN may be complementary.  DTN is not ICN.  DTN is to move
> information over, in some cases, long propagation delays, and in other
> cases, systems that are normally disconnected, or both.  There is a thought
> that, because DTNs have to store content, that same storage could be used
> by the ICN.  However, trying to combine the two, IMHO, will complicate
> matters for both ICN and DTN and hold back both.  But, that is just my
> opinion. ****
>
> ** **
>
> ** **
>
> Regardless, I don't think you can compare "which one is better in the ad
> hoc vehicular environment" because they are designed to do two different
> things.  Perhaps the better question is "Do I need DTN for ad hoc vehicular
> networks or will ICN suffice?"  What is your concept of operations?  Are
> you operating where 4G connectivity is available?  Do i have a multi-hop
> DTN?  If not, DTN is likely to buy you nothing.****
>
> ** **
>
> - Will****
>
> ** **
>
> ** **
>
> ** **
>
> On Sep 14, 2012, at 8:17 AM, Ngoc Thanh Dinh wrote:****
>
>
>
> ****
>
> Thank you very much!
> Yes. I think so, ICN could cover many scenarios of DTN.
> But to compare them in one experiment to show which one is better in the
> ad-hocvehicular environment, it seems many consideration.
> Do you have any opinion to compare performance of two approaches? on
> delay, network resource consumption, overhead or other one?
> I want to show that ICN is better one in the vehicular environment. but in
> the partition case or in high density case, it still seems confusing to
> compare.
> Hope to have your discussion!!!
>
> thank you very much!****
>
> 2012/9/14 Dirk Trossen <[email-masked]>****
>
> Let me bring back DY's email from a few days ago, pointing at Kevin Fall's
> presentation (I included the link again, DY also sent the presentation
> itself):
>
>    http://fif.kr/gfi-summit/11/program.htm
>
> It shows that there's more to ICN and DTN commonalities than one might
> think originally
>
> Dirk****
>
>
> On 14 Sep 2012, at 12:42, Pedro Martínez Juliá wrote:
>
> > 14/09/12 08:07, Ngoc Thanh Dinh:
> >> Dear Every one,
> >>
> >> We are discussing about the benefit of ICN and DTN in global future
> >> internet conference these days.
> >> I am researching in ICN and DTN in vehicular network. There are some
> papers
> >> in both topics for vehicular network,
> >> both of them support naming, caching, store-and-forward,...while DTN
> has a
> >> longer history than ICN
> >> Could you give me your opinions about what is benefit of ICN compared to
> >> DTN?
> >> Did anyone make a comparison between ICN and DTN?
> >>
> >
> > Conceptually, they have very different objectives. However, ICN can
> cover some (or even many) DTN use cases. The main difference is that ICN
> manages named or uniquely identified information while DTN is concentrated
> in the communication. For example, and correct me if I'm wrong, ICN permits
> to deliver the same information piece to different clients requesting it
> without involving the information source but in DTN is the sender who
> decides the destination of a message.
> >
> >> Thank you very much!
> >>
> >
> > Regards,
> > Pedro
> >
> > --
> > Pedro Martinez-Julia
> > Department of Communication and Information Engineering
> > Faculty of Computer Science
> > University of Murcia
> > Email: [email-masked]
> > ---------------------------------------------------------
> > *** Entia non sunt multiplicanda praeter necessitatem *******
>
>
>
>
> --
> Dinh Ngoc Thanh | PhD candidate
> Soongsil university - Seoul Korea
> M: (+82) 010 4197 1879
>
> ****
>
> ** **
>
> ******************************
> William D. Ivancic
> Phone 216-433-3494
> Fax 216-433-8705
> Networking Lab 216-433-2620
> Mobile 440-503-4892
> http://roland.grc.nasa.gov/~ivancic****
>
> ** **
>
>
>
>
> --
> Dinh Ngoc Thanh | PhD candidate
> Soongsil university - Seoul Korea
> M: (+82) 010 4197 1879
>
> ****
>
> ** **
>
> ******************************
> William D. Ivancic
> Phone 216-433-3494
> Fax 216-433-8705
> Networking Lab 216-433-2620
> Mobile 440-503-4892
> http://roland.grc.nasa.gov/~ivancic****
>
> ** **
>
>
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg****
>
>
>
>
> --
> Christian****
>
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg
>
>

-- 
Dinh Ngoc Thanh | PhD candidate
Soongsil university - Seoul Korea
M: (+82) 010 4197 1879

---

From: Ngoc Thanh Dinh <[email-masked]>
Date: Mon, 17 Sep 2012 13:11:21 +0900

Thank you very much!
Listen you opinions about the multicast and broadcast behaviors of DTN and
ICN.